ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/group/trunk/OOPSE-4/configure
(Generate patch)

Comparing trunk/OOPSE-4/configure (file contents):
Revision 2753 by gezelter, Tue May 16 20:38:23 2006 UTC vs.
Revision 2754 by gezelter, Wed May 17 03:03:03 2006 UTC

# Line 312 | Line 312 | ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKA
312   # include <unistd.h>
313   #endif"
314  
315 < ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os PROGNAME debug CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT CC CFLAGS ac_ct_CC FC FCFLAGS ac_ct_FC CPP EGREP LN_S SET_MAKE RANLIB ac_ct_RANLIB PERLINTERP PERL_SHEBANG INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AR PS FCFLAGS_F90 FCFLAGS_SRCEXT PREPDEFFLAG FCLIBS FC_FUNC FC_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES FFTW_INC_DIR FFTW_LIB_DIR FFTW_LIBS LIBOBJS POW_LIB CXXCPP __func__ MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI USE_CGAL CGAL_INC_DIR CGAL_LIB_DIR CGAL_RLIB_DIR CGAL_DEFINES CGAL_CXXFLAGS CGAL_LIBS DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS LTLIBOBJS'
315 > ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os PROGNAME debug CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT CC CFLAGS ac_ct_CC FC FCFLAGS ac_ct_FC CPP EGREP LN_S SET_MAKE RANLIB ac_ct_RANLIB PERLINTERP PERL_SHEBANG INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AR PS FCFLAGS_F90 FCFLAGS_SRCEXT PREPDEFFLAG FCLIBS FC_FUNC FC_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES ZLIB_INC_DIR ZLIB_LIB_DIR ZLIB FFTW_INC_DIR FFTW_LIB_DIR FFTW_LIBS LIBOBJS POW_LIB CXXCPP __func__ MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI USE_CGAL CGAL_INC_DIR CGAL_LIB_DIR CGAL_RLIB_DIR CGAL_DEFINES CGAL_CXXFLAGS CGAL_LIBS DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS LTLIBOBJS'
316   ac_subst_files=''
317  
318   # Initialize some variables set by options.
# Line 881 | Line 881 | Optional Packages:
881    --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
882    --with-perl-shebang     override what perl thinks is the way for the kernel
883                            to start it (seldom needed)
884 <  --with-zlib=DIR root directory path of zlib installation defaults to
885 <                    /usr/local or /usr if not found in /usr/local
886 <  --without-zlib to disable zlib usage completely
884 >  --with-zlib=DIR         root directory path of zlib installation (defaults
885 >                          to /usr/local or /usr if not found in /usr/local)
886    --with-fftw=DIR         root directory path of fftw installation (defaults
887                            to /usr/local or /usr if not found in /usr/local)
888    --with-mpi=<prefix>     compile with MPI installed in <prefix> [default=no]
# Line 1426 | Line 1425 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1425   #
1426   #
1427   #
1428 +
1429  
1430  
1431  
# Line 5802 | Line 5802 | echo "$as_me:$LINENO: checking if zlib is wanted" >&5
5802   #
5803   # Handle user hints
5804   #
5805 echo "$as_me:$LINENO: checking if zlib is wanted" >&5
5806 echo $ECHO_N "checking if zlib is wanted... $ECHO_C" >&6
5805  
5806   # Check whether --with-zlib or --without-zlib was given.
5807   if test "${with_zlib+set}" = set; then
5808    withval="$with_zlib"
5809 <  if test "$withval" != no ; then
5810 <  echo "$as_me:$LINENO: result: yes" >&5
5811 < echo "${ECHO_T}yes" >&6
5812 <  if test -d "$withval"
5813 <  then
5814 <    ZLIB_HOME="$withval"
5809 >  zlib_dir="$withval"
5810 > else
5811 >                zlib_dir="not_set"
5812 > fi;
5813 > if test "$zlib_dir" != "no"; then
5814 >
5815 > if test "$zlib_dir" != "not_set" ; then
5816 >  if test -d "$zlib_dir"
5817 >  then
5818 >    ZLIB_HOME="$zlib_dir"
5819    else
5820 <    { echo "$as_me:$LINENO: WARNING: Sorry, $withval does not exist, checking usual places" >&5
5821 < echo "$as_me: WARNING: Sorry, $withval does not exist, checking usual places" >&2;}
5820 >    { echo "$as_me:$LINENO: WARNING: Sorry, $zlib_dir does not exist, checking usual places" >&5
5821 > echo "$as_me: WARNING: Sorry, $zlib_dir does not exist, checking usual places" >&2;}
5822    fi
5821 else
5822  echo "$as_me:$LINENO: result: no" >&5
5823 echo "${ECHO_T}no" >&6
5823   fi
5825 fi;
5824  
5825   ZLIB_HOME=/usr/local
5826   if test ! -f "${ZLIB_HOME}/include/zlib.h"
# Line 6075 | Line 6073 | ac_compiler_gnu=$ac_cv_c_compiler_gnu
6073   ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6074   ac_compiler_gnu=$ac_cv_c_compiler_gnu
6075  
6078        if test "$zlib_cv_libz" = "yes" -a "$zlib_cv_zlib_h" = "yes"
6079        then
6080                #
6081                # If both library and header were found, use them
6082                #
6076  
6077 < echo "$as_me:$LINENO: checking for inflateEnd in -lz" >&5
6085 < echo $ECHO_N "checking for inflateEnd in -lz... $ECHO_C" >&6
6086 < if test "${ac_cv_lib_z_inflateEnd+set}" = set; then
6087 <  echo $ECHO_N "(cached) $ECHO_C" >&6
6088 < else
6089 <  ac_check_lib_save_LIBS=$LIBS
6090 < LIBS="-lz  $LIBS"
6091 < cat >conftest.$ac_ext <<_ACEOF
6092 < /* confdefs.h.  */
6093 < _ACEOF
6094 < cat confdefs.h >>conftest.$ac_ext
6095 < cat >>conftest.$ac_ext <<_ACEOF
6096 < /* end confdefs.h.  */
6077 >        if test "$zlib_cv_libz" = "yes" -a "$zlib_cv_zlib_h" = "yes"; then
6078  
6079 < /* Override any gcc2 internal prototype to avoid an error.  */
6080 < #ifdef __cplusplus
6100 < extern "C"
6101 < #endif
6102 < /* We use char because int might match the return type of a gcc2
6103 <   builtin and then its argument prototype would still apply.  */
6104 < char inflateEnd ();
6105 < #ifdef FC_DUMMY_MAIN
6106 < #ifndef FC_DUMMY_MAIN_EQ_F77
6107 < #  ifdef __cplusplus
6108 <     extern "C"
6109 < #  endif
6110 <   int FC_DUMMY_MAIN() { return 1; }
6111 < #endif
6112 < #endif
6113 < int
6114 < main ()
6115 < {
6116 < inflateEnd ();
6117 <  ;
6118 <  return 0;
6119 < }
6079 > cat >>confdefs.h <<\_ACEOF
6080 > #define HAVE_ZLIB_H 1
6081   _ACEOF
6121 rm -f conftest.$ac_objext conftest$ac_exeext
6122 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6123  (eval $ac_link) 2>conftest.er1
6124  ac_status=$?
6125  grep -v '^ *+' conftest.er1 >conftest.err
6126  rm -f conftest.er1
6127  cat conftest.err >&5
6128  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6129  (exit $ac_status); } &&
6130         { ac_try='test -z "$ac_c_werror_flag"
6131                         || test ! -s conftest.err'
6132  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6133  (eval $ac_try) 2>&5
6134  ac_status=$?
6135  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6136  (exit $ac_status); }; } &&
6137         { ac_try='test -s conftest$ac_exeext'
6138  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6139  (eval $ac_try) 2>&5
6140  ac_status=$?
6141  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6142  (exit $ac_status); }; }; then
6143  ac_cv_lib_z_inflateEnd=yes
6144 else
6145  echo "$as_me: failed program was:" >&5
6146 sed 's/^/| /' conftest.$ac_ext >&5
6082  
6083 < ac_cv_lib_z_inflateEnd=no
6084 < fi
6150 < rm -f conftest.err conftest.$ac_objext \
6151 <      conftest$ac_exeext conftest.$ac_ext
6152 < LIBS=$ac_check_lib_save_LIBS
6153 < fi
6154 < echo "$as_me:$LINENO: result: $ac_cv_lib_z_inflateEnd" >&5
6155 < echo "${ECHO_T}$ac_cv_lib_z_inflateEnd" >&6
6156 < if test $ac_cv_lib_z_inflateEnd = yes; then
6157 <  cat >>confdefs.h <<_ACEOF
6083 >
6084 > cat >>confdefs.h <<\_ACEOF
6085   #define HAVE_LIBZ 1
6086   _ACEOF
6087  
6088 <  LIBS="-lz $LIBS"
6089 <
6090 < fi
6164 <
6165 <                echo "$as_me:$LINENO: checking zlib in ${ZLIB_HOME}" >&5
6166 < echo $ECHO_N "checking zlib in ${ZLIB_HOME}... $ECHO_C" >&6
6167 <                echo "$as_me:$LINENO: result: ok" >&5
6168 < echo "${ECHO_T}ok" >&6
6088 >                ZLIB_INC_DIR="${ZLIB_HOME}/include"
6089 >                ZLIB_LIB_DIR="${ZLIB_HOME}/lib"
6090 >                ZLIB="-lz"
6091          else
6170                #
6171                # If either header or library was not found, revert and bomb
6172                #
6092                  echo "$as_me:$LINENO: checking zlib in ${ZLIB_HOME}" >&5
6093   echo $ECHO_N "checking zlib in ${ZLIB_HOME}... $ECHO_C" >&6
6094 +                ZLIB_INC_DIR=
6095 +                ZLIB_LIB_DIR=
6096 +                ZLIB=
6097                  LDFLAGS="$ZLIB_OLD_LDFLAGS"
6098                  CPPFLAGS="$ZLIB_OLD_CPPFLAGS"
6099                  echo "$as_me:$LINENO: result: failed" >&5
6100   echo "${ECHO_T}failed" >&6
6101 <                { { echo "$as_me:$LINENO: error: either specify a valid zlib installation with --with-zlib=DIR or disable zlib usage with --without-zlib" >&5
6102 < echo "$as_me: error: either specify a valid zlib installation with --with-zlib=DIR or disable zlib usage with --without-zlib" >&2;}
6103 <   { (exit 1); exit 1; }; }
6101 >                echo ""
6102 >                echo "*********************************************************"
6103 >                echo "* WARNING: Could not find a working zlib installation   *"
6104 >                echo "* If you need OOPSE to be able to deal with compressed  *"
6105 >                echo "* trajectory dump files be sure to specify a valid zlib *"
6106 >                echo "* installation with --with-zlib=DIR                     *"
6107 >                echo "*                                                       *"
6108 >                echo "* OOPSE will still work without zlib installed.         *"
6109 >                echo "*********************************************************"
6110 >                echo ""
6111          fi
6183 fi
6112  
6113 +
6114 +
6115 + fi
6116 + fi
6117  
6118   #
6119   # Handle user hints
# Line 14808 | Line 14740 | s,@FFTW_INC_DIR@,$FFTW_INC_DIR,;t t
14740   s,@MODDIRFLAG@,$MODDIRFLAG,;t t
14741   s,@F90MODINCSPEC@,$F90MODINCSPEC,;t t
14742   s,@F90_MODULE_NAMES@,$F90_MODULE_NAMES,;t t
14743 + s,@ZLIB_INC_DIR@,$ZLIB_INC_DIR,;t t
14744 + s,@ZLIB_LIB_DIR@,$ZLIB_LIB_DIR,;t t
14745 + s,@ZLIB@,$ZLIB,;t t
14746   s,@FFTW_INC_DIR@,$FFTW_INC_DIR,;t t
14747   s,@FFTW_LIB_DIR@,$FFTW_LIB_DIR,;t t
14748   s,@FFTW_LIBS@,$FFTW_LIBS,;t t

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines